org.eclipse.viatra.cep.core.metamodels.events

## Interface EventsPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    EventsPackageImpl

      public interface EventsPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  See Also:
    `EventsFactory`
  Generated:
  Model:
    kind="package"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `EventsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABSTRACT_MULTIPLICITY` The meta object id for the '`Abstract Multiplicity`' class.
    `static int` | `ABSTRACT_MULTIPLICITY_FEATURE_COUNT` The number of structural features of the 'Abstract Multiplicity' class.
    `static int` | `ABSTRACT_MULTIPLICITY_OPERATION_COUNT` The number of operations of the 'Abstract Multiplicity' class.
    `static int` | `AND` The meta object id for the '`AND`' class.
    `static int` | `AND_FEATURE_COUNT` The number of structural features of the 'AND' class.
    `static int` | `AND_OPERATION_COUNT` The number of operations of the 'AND' class.
    `static int` | `AT_LEAST_ONE` The meta object id for the '`At Least One`' class.
    `static int` | `AT_LEAST_ONE_FEATURE_COUNT` The number of structural features of the 'At Least One' class.
    `static int` | `AT_LEAST_ONE_OPERATION_COUNT` The number of operations of the 'At Least One' class.
    `static int` | `ATOMIC_EVENT_PATTERN` The meta object id for the '`Atomic Event Pattern`' class.
    `static int` | `ATOMIC_EVENT_PATTERN__AUTOMATON` The feature id for the 'Automaton' reference.
    `static int` | `ATOMIC_EVENT_PATTERN__EVENT_MODEL` The feature id for the 'Event Model' container reference.
    `static int` | `ATOMIC_EVENT_PATTERN__ID` The feature id for the 'Id' attribute.
    `static int` | `ATOMIC_EVENT_PATTERN__PARAMETER_NAMES` The feature id for the 'Parameter Names' attribute list.
    `static int` | `ATOMIC_EVENT_PATTERN__TYPE` The feature id for the 'Type' attribute.
    `static int` | `ATOMIC_EVENT_PATTERN_FEATURE_COUNT` The number of structural features of the 'Atomic Event Pattern' class.
    `static int` | `ATOMIC_EVENT_PATTERN_OPERATION_COUNT` The number of operations of the 'Atomic Event Pattern' class.
    `static int` | `COMPLEX_EVENT_OPERATOR` The meta object id for the '`Complex Event Operator`' class.
    `static int` | `COMPLEX_EVENT_OPERATOR_FEATURE_COUNT` The number of structural features of the 'Complex Event Operator' class.
    `static int` | `COMPLEX_EVENT_OPERATOR_OPERATION_COUNT` The number of operations of the 'Complex Event Operator' class.
    `static int` | `COMPLEX_EVENT_PATTERN` The meta object id for the '`Complex Event Pattern`' class.
    `static int` | `COMPLEX_EVENT_PATTERN__AUTOMATON` The feature id for the 'Automaton' reference.
    `static int` | `COMPLEX_EVENT_PATTERN__CONTAINED_EVENT_PATTERNS` The feature id for the 'Contained Event Patterns' containment reference list.
    `static int` | `COMPLEX_EVENT_PATTERN__EVENT_CONTEXT` The feature id for the 'Event Context' attribute.
    `static int` | `COMPLEX_EVENT_PATTERN__EVENT_MODEL` The feature id for the 'Event Model' container reference.
    `static int` | `COMPLEX_EVENT_PATTERN__ID` The feature id for the 'Id' attribute.
    `static int` | `COMPLEX_EVENT_PATTERN__OPERATOR` The feature id for the 'Operator' containment reference.
    `static int` | `COMPLEX_EVENT_PATTERN__PARAMETER_NAMES` The feature id for the 'Parameter Names' attribute list.
    `static int` | `COMPLEX_EVENT_PATTERN__TIMEWINDOW` The feature id for the 'Timewindow' containment reference.
    `static int` | `COMPLEX_EVENT_PATTERN_FEATURE_COUNT` The number of structural features of the 'Complex Event Pattern' class.
    `static int` | `COMPLEX_EVENT_PATTERN_OPERATION_COUNT` The number of operations of the 'Complex Event Pattern' class.
    `static EventsPackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `EVENT` The meta object id for the '`Event`' class.
    `static int` | `EVENT__IS_PROCESSED` The feature id for the 'Is Processed' attribute.
    `static int` | `EVENT__SOURCE` The feature id for the 'Source' reference.
    `static int` | `EVENT__TIMESTAMP` The feature id for the 'Timestamp' attribute.
    `static int` | `EVENT__TYPE` The feature id for the 'Type' attribute.
    `static int` | `EVENT_FEATURE_COUNT` The number of structural features of the 'Event' class.
    `static int` | `EVENT_MODEL` The meta object id for the '`Event Model`' class.
    `static int` | `EVENT_MODEL__EVENT_PATTERNS` The feature id for the 'Event Patterns' containment reference list.
    `static int` | `EVENT_MODEL_FEATURE_COUNT` The number of structural features of the 'Event Model' class.
    `static int` | `EVENT_MODEL_OPERATION_COUNT` The number of operations of the 'Event Model' class.
    `static int` | `EVENT_OPERATION_COUNT` The number of operations of the 'Event' class.
    `static int` | `EVENT_PATTERN` The meta object id for the '`Event Pattern`' class.
    `static int` | `EVENT_PATTERN__AUTOMATON` The feature id for the 'Automaton' reference.
    `static int` | `EVENT_PATTERN__EVENT_MODEL` The feature id for the 'Event Model' container reference.
    `static int` | `EVENT_PATTERN__ID` The feature id for the 'Id' attribute.
    `static int` | `EVENT_PATTERN__PARAMETER_NAMES` The feature id for the 'Parameter Names' attribute list.
    `static int` | `EVENT_PATTERN_FEATURE_COUNT` The number of structural features of the 'Event Pattern' class.
    `static int` | `EVENT_PATTERN_OPERATION_COUNT` The number of operations of the 'Event Pattern' class.
    `static int` | `EVENT_PATTERN_REFERENCE` The meta object id for the '`Event Pattern Reference`' class.
    `static int` | `EVENT_PATTERN_REFERENCE__EVENT_PATTERN` The feature id for the 'Event Pattern' containment reference.
    `static int` | `EVENT_PATTERN_REFERENCE__MULTIPLICITY` The feature id for the 'Multiplicity' containment reference.
    `static int` | `EVENT_PATTERN_REFERENCE__PARAMETER_SYMBOLIC_NAMES` The feature id for the 'Parameter Symbolic Names' attribute list.
    `static int` | `EVENT_PATTERN_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Event Pattern Reference' class.
    `static int` | `EVENT_PATTERN_REFERENCE_OPERATION_COUNT` The number of operations of the 'Event Pattern Reference' class.
    `static int` | `EVENT_SOURCE` The meta object id for the '`Event Source`' class.
    `static int` | `EVENT_SOURCE___GET_ID` The operation id for the 'Get Id' operation.
    `static int` | `EVENT_SOURCE_FEATURE_COUNT` The number of structural features of the 'Event Source' class.
    `static int` | `EVENT_SOURCE_OPERATION_COUNT` The number of operations of the 'Event Source' class.
    `static int` | `FOLLOWS` The meta object id for the '`FOLLOWS`' class.
    `static int` | `FOLLOWS_FEATURE_COUNT` The number of structural features of the 'FOLLOWS' class.
    `static int` | `FOLLOWS_OPERATION_COUNT` The number of operations of the 'FOLLOWS' class.
    `static int` | `INFINITE` The meta object id for the '`Infinite`' class.
    `static int` | `INFINITE_FEATURE_COUNT` The number of structural features of the 'Infinite' class.
    `static int` | `INFINITE_OPERATION_COUNT` The number of operations of the 'Infinite' class.
    `static int` | `MULTIPLICITY` The meta object id for the '`Multiplicity`' class.
    `static int` | `MULTIPLICITY__VALUE` The feature id for the 'Value' attribute.
    `static int` | `MULTIPLICITY_FEATURE_COUNT` The number of structural features of the 'Multiplicity' class.
    `static int` | `MULTIPLICITY_OPERATION_COUNT` The number of operations of the 'Multiplicity' class.
    `static int` | `NEG` The meta object id for the '`NEG`' class.
    `static int` | `NEG_FEATURE_COUNT` The number of structural features of the 'NEG' class.
    `static int` | `NEG_OPERATION_COUNT` The number of operations of the 'NEG' class.
    `static int` | `OR` The meta object id for the '`OR`' class.
    `static int` | `OR_FEATURE_COUNT` The number of structural features of the 'OR' class.
    `static int` | `OR_OPERATION_COUNT` The number of operations of the 'OR' class.
    `static int` | `TIMEWINDOW` The meta object id for the '`Timewindow`' class.
    `static int` | `TIMEWINDOW__TIME` The feature id for the 'Time' attribute.
    `static int` | `TIMEWINDOW_FEATURE_COUNT` The number of structural features of the 'Timewindow' class.
    `static int` | `TIMEWINDOW_OPERATION_COUNT` The number of operations of the 'Timewindow' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EClass` | `getAbstractMultiplicity()` Returns the meta object for class '`Abstract Multiplicity`'.
    `org.eclipse.emf.ecore.EClass` | `getAND()` Returns the meta object for class '`AND`'.
    `org.eclipse.emf.ecore.EClass` | `getAtLeastOne()` Returns the meta object for class '`At Least One`'.
    `org.eclipse.emf.ecore.EAttribute` | `getAtomicEventPattern_Type()` Returns the meta object for the attribute '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getAtomicEventPattern()` Returns the meta object for class '`Atomic Event Pattern`'.
    `org.eclipse.emf.ecore.EClass` | `getComplexEventOperator()` Returns the meta object for class '`Complex Event Operator`'.
    `org.eclipse.emf.ecore.EReference` | `getComplexEventPattern_ContainedEventPatterns()` Returns the meta object for the containment reference list '`Contained Event Patterns`'.
    `org.eclipse.emf.ecore.EAttribute` | `getComplexEventPattern_EventContext()` Returns the meta object for the attribute '`Event Context`'.
    `org.eclipse.emf.ecore.EReference` | `getComplexEventPattern_Operator()` Returns the meta object for the containment reference '`Operator`'.
    `org.eclipse.emf.ecore.EReference` | `getComplexEventPattern_Timewindow()` Returns the meta object for the containment reference '`Timewindow`'.
    `org.eclipse.emf.ecore.EClass` | `getComplexEventPattern()` Returns the meta object for class '`Complex Event Pattern`'.
    `org.eclipse.emf.ecore.EAttribute` | `getEvent_IsProcessed()` Returns the meta object for the attribute '`Is Processed`'.
    `org.eclipse.emf.ecore.EReference` | `getEvent_Source()` Returns the meta object for the reference '`Source`'.
    `org.eclipse.emf.ecore.EAttribute` | `getEvent_Timestamp()` Returns the meta object for the attribute '`Timestamp`'.
    `org.eclipse.emf.ecore.EAttribute` | `getEvent_Type()` Returns the meta object for the attribute '`Type`'.
    `org.eclipse.emf.ecore.EClass` | `getEvent()` Returns the meta object for class '`Event`'.
    `org.eclipse.emf.ecore.EReference` | `getEventModel_EventPatterns()` Returns the meta object for the containment reference list '`Event Patterns`'.
    `org.eclipse.emf.ecore.EClass` | `getEventModel()` Returns the meta object for class '`Event Model`'.
    `org.eclipse.emf.ecore.EReference` | `getEventPattern_Automaton()` Returns the meta object for the reference '`Automaton`'.
    `org.eclipse.emf.ecore.EReference` | `getEventPattern_EventModel()` Returns the meta object for the container reference '`Event Model`'.
    `org.eclipse.emf.ecore.EAttribute` | `getEventPattern_Id()` Returns the meta object for the attribute '`Id`'.
    `org.eclipse.emf.ecore.EAttribute` | `getEventPattern_ParameterNames()` Returns the meta object for the attribute list '`Parameter Names`'.
    `org.eclipse.emf.ecore.EClass` | `getEventPattern()` Returns the meta object for class '`Event Pattern`'.
    `org.eclipse.emf.ecore.EReference` | `getEventPatternReference_EventPattern()` Returns the meta object for the containment reference '`Event Pattern`'.
    `org.eclipse.emf.ecore.EReference` | `getEventPatternReference_Multiplicity()` Returns the meta object for the containment reference '`Multiplicity`'.
    `org.eclipse.emf.ecore.EAttribute` | `getEventPatternReference_ParameterSymbolicNames()` Returns the meta object for the attribute list '`Parameter Symbolic Names`'.
    `org.eclipse.emf.ecore.EClass` | `getEventPatternReference()` Returns the meta object for class '`Event Pattern Reference`'.
    `EventsFactory` | `getEventsFactory()` Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EOperation` | `getEventSource__GetId()` Returns the meta object for the '`Get Id`' operation.
    `org.eclipse.emf.ecore.EClass` | `getEventSource()` Returns the meta object for class '`Event Source`'.
    `org.eclipse.emf.ecore.EClass` | `getFOLLOWS()` Returns the meta object for class '`FOLLOWS`'.
    `org.eclipse.emf.ecore.EClass` | `getInfinite()` Returns the meta object for class '`Infinite`'.
    `org.eclipse.emf.ecore.EAttribute` | `getMultiplicity_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getMultiplicity()` Returns the meta object for class '`Multiplicity`'.
    `org.eclipse.emf.ecore.EClass` | `getNEG()` Returns the meta object for class '`NEG`'.
    `org.eclipse.emf.ecore.EClass` | `getOR()` Returns the meta object for class '`OR`'.
    `org.eclipse.emf.ecore.EAttribute` | `getTimewindow_Time()` Returns the meta object for the attribute '`Time`'.
    `org.eclipse.emf.ecore.EClass` | `getTimewindow()` Returns the meta object for class '`Timewindow`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated:

    - #### eINSTANCE

          static final EventsPackage eINSTANCE

      The singleton instance of the package.
      Generated:

    - #### EVENT_MODEL

          static final int EVENT_MODEL

      The meta object id for the '`Event Model`' class.
      See Also:
        `EventModelImpl`, `EventsPackageImpl.getEventModel()`, Constant Field Values
      Generated:

    - #### EVENT_MODEL__EVENT_PATTERNS

          static final int EVENT_MODEL__EVENT_PATTERNS

      The feature id for the 'Event Patterns' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_MODEL_FEATURE_COUNT

          static final int EVENT_MODEL_FEATURE_COUNT

      The number of structural features of the 'Event Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_MODEL_OPERATION_COUNT

          static final int EVENT_MODEL_OPERATION_COUNT

      The number of operations of the 'Event Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN

          static final int EVENT_PATTERN

      The meta object id for the '`Event Pattern`' class.
      See Also:
        `EventPatternImpl`, `EventsPackageImpl.getEventPattern()`, Constant Field Values
      Generated:

    - #### EVENT_PATTERN__EVENT_MODEL

          static final int EVENT_PATTERN__EVENT_MODEL

      The feature id for the 'Event Model' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN__AUTOMATON

          static final int EVENT_PATTERN__AUTOMATON

      The feature id for the 'Automaton' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN__ID

          static final int EVENT_PATTERN__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN__PARAMETER_NAMES

          static final int EVENT_PATTERN__PARAMETER_NAMES

      The feature id for the 'Parameter Names' attribute list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN_FEATURE_COUNT

          static final int EVENT_PATTERN_FEATURE_COUNT

      The number of structural features of the 'Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN_OPERATION_COUNT

          static final int EVENT_PATTERN_OPERATION_COUNT

      The number of operations of the 'Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN

          static final int ATOMIC_EVENT_PATTERN

      The meta object id for the '`Atomic Event Pattern`' class.
      See Also:
        `AtomicEventPatternImpl`, `EventsPackageImpl.getAtomicEventPattern()`, Constant Field Values
      Generated:

    - #### ATOMIC_EVENT_PATTERN__EVENT_MODEL

          static final int ATOMIC_EVENT_PATTERN__EVENT_MODEL

      The feature id for the 'Event Model' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN__AUTOMATON

          static final int ATOMIC_EVENT_PATTERN__AUTOMATON

      The feature id for the 'Automaton' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN__ID

          static final int ATOMIC_EVENT_PATTERN__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN__PARAMETER_NAMES

          static final int ATOMIC_EVENT_PATTERN__PARAMETER_NAMES

      The feature id for the 'Parameter Names' attribute list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN__TYPE

          static final int ATOMIC_EVENT_PATTERN__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN_FEATURE_COUNT

          static final int ATOMIC_EVENT_PATTERN_FEATURE_COUNT

      The number of structural features of the 'Atomic Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATOMIC_EVENT_PATTERN_OPERATION_COUNT

          static final int ATOMIC_EVENT_PATTERN_OPERATION_COUNT

      The number of operations of the 'Atomic Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN

          static final int COMPLEX_EVENT_PATTERN

      The meta object id for the '`Complex Event Pattern`' class.
      See Also:
        `ComplexEventPatternImpl`, `EventsPackageImpl.getComplexEventPattern()`, Constant Field Values
      Generated:

    - #### COMPLEX_EVENT_PATTERN__EVENT_MODEL

          static final int COMPLEX_EVENT_PATTERN__EVENT_MODEL

      The feature id for the 'Event Model' container reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__AUTOMATON

          static final int COMPLEX_EVENT_PATTERN__AUTOMATON

      The feature id for the 'Automaton' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__ID

          static final int COMPLEX_EVENT_PATTERN__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__PARAMETER_NAMES

          static final int COMPLEX_EVENT_PATTERN__PARAMETER_NAMES

      The feature id for the 'Parameter Names' attribute list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__OPERATOR

          static final int COMPLEX_EVENT_PATTERN__OPERATOR

      The feature id for the 'Operator' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__TIMEWINDOW

          static final int COMPLEX_EVENT_PATTERN__TIMEWINDOW

      The feature id for the 'Timewindow' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__CONTAINED_EVENT_PATTERNS

          static final int COMPLEX_EVENT_PATTERN__CONTAINED_EVENT_PATTERNS

      The feature id for the 'Contained Event Patterns' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN__EVENT_CONTEXT

          static final int COMPLEX_EVENT_PATTERN__EVENT_CONTEXT

      The feature id for the 'Event Context' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN_FEATURE_COUNT

          static final int COMPLEX_EVENT_PATTERN_FEATURE_COUNT

      The number of structural features of the 'Complex Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_PATTERN_OPERATION_COUNT

          static final int COMPLEX_EVENT_PATTERN_OPERATION_COUNT

      The number of operations of the 'Complex Event Pattern' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN_REFERENCE

          static final int EVENT_PATTERN_REFERENCE

      The meta object id for the '`Event Pattern Reference`' class.
      See Also:
        `EventPatternReferenceImpl`, `EventsPackageImpl.getEventPatternReference()`, Constant Field Values
      Generated:

    - #### EVENT_PATTERN_REFERENCE__EVENT_PATTERN

          static final int EVENT_PATTERN_REFERENCE__EVENT_PATTERN

      The feature id for the 'Event Pattern' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN_REFERENCE__MULTIPLICITY

          static final int EVENT_PATTERN_REFERENCE__MULTIPLICITY

      The feature id for the 'Multiplicity' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN_REFERENCE__PARAMETER_SYMBOLIC_NAMES

          static final int EVENT_PATTERN_REFERENCE__PARAMETER_SYMBOLIC_NAMES

      The feature id for the 'Parameter Symbolic Names' attribute list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN_REFERENCE_FEATURE_COUNT

          static final int EVENT_PATTERN_REFERENCE_FEATURE_COUNT

      The number of structural features of the 'Event Pattern Reference' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_PATTERN_REFERENCE_OPERATION_COUNT

          static final int EVENT_PATTERN_REFERENCE_OPERATION_COUNT

      The number of operations of the 'Event Pattern Reference' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT

          static final int EVENT

      The meta object id for the '`Event`' class.
      See Also:
        `EventImpl`, `EventsPackageImpl.getEvent()`, Constant Field Values
      Generated:

    - #### EVENT__TYPE

          static final int EVENT__TYPE

      The feature id for the 'Type' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT__TIMESTAMP

          static final int EVENT__TIMESTAMP

      The feature id for the 'Timestamp' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT__SOURCE

          static final int EVENT__SOURCE

      The feature id for the 'Source' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT__IS_PROCESSED

          static final int EVENT__IS_PROCESSED

      The feature id for the 'Is Processed' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_FEATURE_COUNT

          static final int EVENT_FEATURE_COUNT

      The number of structural features of the 'Event' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_OPERATION_COUNT

          static final int EVENT_OPERATION_COUNT

      The number of operations of the 'Event' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_SOURCE

          static final int EVENT_SOURCE

      The meta object id for the '`Event Source`' class.
      See Also:
        `EventSourceImpl`, `EventsPackageImpl.getEventSource()`, Constant Field Values
      Generated:

    - #### EVENT_SOURCE_FEATURE_COUNT

          static final int EVENT_SOURCE_FEATURE_COUNT

      The number of structural features of the 'Event Source' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_SOURCE___GET_ID

          static final int EVENT_SOURCE___GET_ID

      The operation id for the 'Get Id' operation.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EVENT_SOURCE_OPERATION_COUNT

          static final int EVENT_SOURCE_OPERATION_COUNT

      The number of operations of the 'Event Source' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_OPERATOR

          static final int COMPLEX_EVENT_OPERATOR

      The meta object id for the '`Complex Event Operator`' class.
      See Also:
        `ComplexEventOperatorImpl`, `EventsPackageImpl.getComplexEventOperator()`, Constant Field Values
      Generated:

    - #### COMPLEX_EVENT_OPERATOR_FEATURE_COUNT

          static final int COMPLEX_EVENT_OPERATOR_FEATURE_COUNT

      The number of structural features of the 'Complex Event Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### COMPLEX_EVENT_OPERATOR_OPERATION_COUNT

          static final int COMPLEX_EVENT_OPERATOR_OPERATION_COUNT

      The number of operations of the 'Complex Event Operator' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### OR

          static final int OR

      The meta object id for the '`OR`' class.
      See Also:
        `ORImpl`, `EventsPackageImpl.getOR()`, Constant Field Values
      Generated:

    - #### OR_FEATURE_COUNT

          static final int OR_FEATURE_COUNT

      The number of structural features of the 'OR' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### OR_OPERATION_COUNT

          static final int OR_OPERATION_COUNT

      The number of operations of the 'OR' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NEG

          static final int NEG

      The meta object id for the '`NEG`' class.
      See Also:
        `NEGImpl`, `EventsPackageImpl.getNEG()`, Constant Field Values
      Generated:

    - #### NEG_FEATURE_COUNT

          static final int NEG_FEATURE_COUNT

      The number of structural features of the 'NEG' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NEG_OPERATION_COUNT

          static final int NEG_OPERATION_COUNT

      The number of operations of the 'NEG' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FOLLOWS

          static final int FOLLOWS

      The meta object id for the '`FOLLOWS`' class.
      See Also:
        `FOLLOWSImpl`, `EventsPackageImpl.getFOLLOWS()`, Constant Field Values
      Generated:

    - #### FOLLOWS_FEATURE_COUNT

          static final int FOLLOWS_FEATURE_COUNT

      The number of structural features of the 'FOLLOWS' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FOLLOWS_OPERATION_COUNT

          static final int FOLLOWS_OPERATION_COUNT

      The number of operations of the 'FOLLOWS' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AND

          static final int AND

      The meta object id for the '`AND`' class.
      See Also:
        `ANDImpl`, `EventsPackageImpl.getAND()`, Constant Field Values
      Generated:

    - #### AND_FEATURE_COUNT

          static final int AND_FEATURE_COUNT

      The number of structural features of the 'AND' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AND_OPERATION_COUNT

          static final int AND_OPERATION_COUNT

      The number of operations of the 'AND' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMEWINDOW

          static final int TIMEWINDOW

      The meta object id for the '`Timewindow`' class.
      See Also:
        `TimewindowImpl`, `EventsPackageImpl.getTimewindow()`, Constant Field Values
      Generated:

    - #### TIMEWINDOW__TIME

          static final int TIMEWINDOW__TIME

      The feature id for the 'Time' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMEWINDOW_FEATURE_COUNT

          static final int TIMEWINDOW_FEATURE_COUNT

      The number of structural features of the 'Timewindow' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### TIMEWINDOW_OPERATION_COUNT

          static final int TIMEWINDOW_OPERATION_COUNT

      The number of operations of the 'Timewindow' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ABSTRACT_MULTIPLICITY

          static final int ABSTRACT_MULTIPLICITY

      The meta object id for the '`Abstract Multiplicity`' class.
      See Also:
        `AbstractMultiplicityImpl`, `EventsPackageImpl.getAbstractMultiplicity()`, Constant Field Values
      Generated:

    - #### ABSTRACT_MULTIPLICITY_FEATURE_COUNT

          static final int ABSTRACT_MULTIPLICITY_FEATURE_COUNT

      The number of structural features of the 'Abstract Multiplicity' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ABSTRACT_MULTIPLICITY_OPERATION_COUNT

          static final int ABSTRACT_MULTIPLICITY_OPERATION_COUNT

      The number of operations of the 'Abstract Multiplicity' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTIPLICITY

          static final int MULTIPLICITY

      The meta object id for the '`Multiplicity`' class.
      See Also:
        `MultiplicityImpl`, `EventsPackageImpl.getMultiplicity()`, Constant Field Values
      Generated:

    - #### MULTIPLICITY__VALUE

          static final int MULTIPLICITY__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTIPLICITY_FEATURE_COUNT

          static final int MULTIPLICITY_FEATURE_COUNT

      The number of structural features of the 'Multiplicity' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### MULTIPLICITY_OPERATION_COUNT

          static final int MULTIPLICITY_OPERATION_COUNT

      The number of operations of the 'Multiplicity' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INFINITE

          static final int INFINITE

      The meta object id for the '`Infinite`' class.
      See Also:
        `InfiniteImpl`, `EventsPackageImpl.getInfinite()`, Constant Field Values
      Generated:

    - #### INFINITE_FEATURE_COUNT

          static final int INFINITE_FEATURE_COUNT

      The number of structural features of the 'Infinite' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### INFINITE_OPERATION_COUNT

          static final int INFINITE_OPERATION_COUNT

      The number of operations of the 'Infinite' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AT_LEAST_ONE

          static final int AT_LEAST_ONE

      The meta object id for the '`At Least One`' class.
      See Also:
        `AtLeastOneImpl`, `EventsPackageImpl.getAtLeastOne()`, Constant Field Values
      Generated:

    - #### AT_LEAST_ONE_FEATURE_COUNT

          static final int AT_LEAST_ONE_FEATURE_COUNT

      The number of structural features of the 'At Least One' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### AT_LEAST_ONE_OPERATION_COUNT

          static final int AT_LEAST_ONE_OPERATION_COUNT

      The number of operations of the 'At Least One' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

  - ### Method Detail

    - #### getEventModel

          org.eclipse.emf.ecore.EClass getEventModel()

      Returns the meta object for class '`Event Model`'.
      Returns:
        the meta object for class 'Event Model'.
      See Also:
        `EventModel`
      Generated:

    - #### getEventModel_EventPatterns

          org.eclipse.emf.ecore.EReference getEventModel_EventPatterns()

      Returns the meta object for the containment reference list '`Event Patterns`'.
      Returns:
        the meta object for the containment reference list 'Event Patterns'.
      See Also:
        `EventModel.getEventPatterns()`, `getEventModel()`
      Generated:

    - #### getEventPattern

          org.eclipse.emf.ecore.EClass getEventPattern()

      Returns the meta object for class '`Event Pattern`'.
      Returns:
        the meta object for class 'Event Pattern'.
      See Also:
        `EventPattern`
      Generated:

    - #### getEventPattern_EventModel

          org.eclipse.emf.ecore.EReference getEventPattern_EventModel()

      Returns the meta object for the container reference '`Event Model`'.
      Returns:
        the meta object for the container reference 'Event Model'.
      See Also:
        `EventPattern.getEventModel()`, `getEventPattern()`
      Generated:

    - #### getEventPattern_Automaton

          org.eclipse.emf.ecore.EReference getEventPattern_Automaton()

      Returns the meta object for the reference '`Automaton`'.
      Returns:
        the meta object for the reference 'Automaton'.
      See Also:
        `EventPattern.getAutomaton()`, `getEventPattern()`
      Generated:

    - #### getEventPattern_Id

          org.eclipse.emf.ecore.EAttribute getEventPattern_Id()

      Returns the meta object for the attribute '`Id`'.
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `EventPattern.getId()`, `getEventPattern()`
      Generated:

    - #### getEventPattern_ParameterNames

          org.eclipse.emf.ecore.EAttribute getEventPattern_ParameterNames()

      Returns the meta object for the attribute list '`Parameter Names`'.
      Returns:
        the meta object for the attribute list 'Parameter Names'.
      See Also:
        `EventPattern.getParameterNames()`, `getEventPattern()`
      Generated:

    - #### getAtomicEventPattern

          org.eclipse.emf.ecore.EClass getAtomicEventPattern()

      Returns the meta object for class '`Atomic Event Pattern`'.
      Returns:
        the meta object for class 'Atomic Event Pattern'.
      See Also:
        `AtomicEventPattern`
      Generated:

    - #### getAtomicEventPattern_Type

          org.eclipse.emf.ecore.EAttribute getAtomicEventPattern_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `AtomicEventPattern.getType()`, `getAtomicEventPattern()`
      Generated:

    - #### getComplexEventPattern

          org.eclipse.emf.ecore.EClass getComplexEventPattern()

      Returns the meta object for class '`Complex Event Pattern`'.
      Returns:
        the meta object for class 'Complex Event Pattern'.
      See Also:
        `ComplexEventPattern`
      Generated:

    - #### getComplexEventPattern_Operator

          org.eclipse.emf.ecore.EReference getComplexEventPattern_Operator()

      Returns the meta object for the containment reference '`Operator`'.
      Returns:
        the meta object for the containment reference 'Operator'.
      See Also:
        `ComplexEventPattern.getOperator()`, `getComplexEventPattern()`
      Generated:

    - #### getComplexEventPattern_Timewindow

          org.eclipse.emf.ecore.EReference getComplexEventPattern_Timewindow()

      Returns the meta object for the containment reference '`Timewindow`'.
      Returns:
        the meta object for the containment reference 'Timewindow'.
      See Also:
        `ComplexEventPattern.getTimewindow()`, `getComplexEventPattern()`
      Generated:

    - #### getComplexEventPattern_ContainedEventPatterns

          org.eclipse.emf.ecore.EReference getComplexEventPattern_ContainedEventPatterns()

      Returns the meta object for the containment reference list '`Contained Event Patterns`'.
      Returns:
        the meta object for the containment reference list 'Contained Event Patterns'.
      See Also:
        `ComplexEventPattern.getContainedEventPatterns()`, `getComplexEventPattern()`
      Generated:

    - #### getComplexEventPattern_EventContext

          org.eclipse.emf.ecore.EAttribute getComplexEventPattern_EventContext()

      Returns the meta object for the attribute '`Event Context`'.
      Returns:
        the meta object for the attribute 'Event Context'.
      See Also:
        `ComplexEventPattern.getEventContext()`, `getComplexEventPattern()`
      Generated:

    - #### getEventPatternReference

          org.eclipse.emf.ecore.EClass getEventPatternReference()

      Returns the meta object for class '`Event Pattern Reference`'.
      Returns:
        the meta object for class 'Event Pattern Reference'.
      See Also:
        `EventPatternReference`
      Generated:

    - #### getEventPatternReference_EventPattern

          org.eclipse.emf.ecore.EReference getEventPatternReference_EventPattern()

      Returns the meta object for the containment reference '`Event Pattern`'.
      Returns:
        the meta object for the containment reference 'Event Pattern'.
      See Also:
        `EventPatternReference.getEventPattern()`, `getEventPatternReference()`
      Generated:

    - #### getEventPatternReference_Multiplicity

          org.eclipse.emf.ecore.EReference getEventPatternReference_Multiplicity()

      Returns the meta object for the containment reference '`Multiplicity`'.
      Returns:
        the meta object for the containment reference 'Multiplicity'.
      See Also:
        `EventPatternReference.getMultiplicity()`, `getEventPatternReference()`
      Generated:

    - #### getEventPatternReference_ParameterSymbolicNames

          org.eclipse.emf.ecore.EAttribute getEventPatternReference_ParameterSymbolicNames()

      Returns the meta object for the attribute list '`Parameter Symbolic Names`'.
      Returns:
        the meta object for the attribute list 'Parameter Symbolic Names'.
      See Also:
        `EventPatternReference.getParameterSymbolicNames()`, `getEventPatternReference()`
      Generated:

    - #### getEvent

          org.eclipse.emf.ecore.EClass getEvent()

      Returns the meta object for class '`Event`'.
      Returns:
        the meta object for class 'Event'.
      See Also:
        `Event`
      Generated:

    - #### getEvent_Type

          org.eclipse.emf.ecore.EAttribute getEvent_Type()

      Returns the meta object for the attribute '`Type`'.
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `Event.getType()`, `getEvent()`
      Generated:

    - #### getEvent_Timestamp

          org.eclipse.emf.ecore.EAttribute getEvent_Timestamp()

      Returns the meta object for the attribute '`Timestamp`'.
      Returns:
        the meta object for the attribute 'Timestamp'.
      See Also:
        `Event.getTimestamp()`, `getEvent()`
      Generated:

    - #### getEvent_Source

          org.eclipse.emf.ecore.EReference getEvent_Source()

      Returns the meta object for the reference '`Source`'.
      Returns:
        the meta object for the reference 'Source'.
      See Also:
        `Event.getSource()`, `getEvent()`
      Generated:

    - #### getEvent_IsProcessed

          org.eclipse.emf.ecore.EAttribute getEvent_IsProcessed()

      Returns the meta object for the attribute '`Is Processed`'.
      Returns:
        the meta object for the attribute 'Is Processed'.
      See Also:
        `Event.isIsProcessed()`, `getEvent()`
      Generated:

    - #### getEventSource

          org.eclipse.emf.ecore.EClass getEventSource()

      Returns the meta object for class '`Event Source`'.
      Returns:
        the meta object for class 'Event Source'.
      See Also:
        `EventSource`
      Generated:

    - #### getEventSource__GetId

          org.eclipse.emf.ecore.EOperation getEventSource__GetId()

      Returns the meta object for the '`Get Id`' operation.
      Returns:
        the meta object for the 'Get Id' operation.
      See Also:
        `EventSource.getId()`
      Generated:

    - #### getComplexEventOperator

          org.eclipse.emf.ecore.EClass getComplexEventOperator()

      Returns the meta object for class '`Complex Event Operator`'.
      Returns:
        the meta object for class 'Complex Event Operator'.
      See Also:
        `ComplexEventOperator`
      Generated:

    - #### getOR

          org.eclipse.emf.ecore.EClass getOR()

      Returns the meta object for class '`OR`'.
      Returns:
        the meta object for class 'OR'.
      See Also:
        `OR`
      Generated:

    - #### getNEG

          org.eclipse.emf.ecore.EClass getNEG()

      Returns the meta object for class '`NEG`'.
      Returns:
        the meta object for class 'NEG'.
      See Also:
        `NEG`
      Generated:

    - #### getFOLLOWS

          org.eclipse.emf.ecore.EClass getFOLLOWS()

      Returns the meta object for class '`FOLLOWS`'.
      Returns:
        the meta object for class 'FOLLOWS'.
      See Also:
        `FOLLOWS`
      Generated:

    - #### getAND

          org.eclipse.emf.ecore.EClass getAND()

      Returns the meta object for class '`AND`'.
      Returns:
        the meta object for class 'AND'.
      See Also:
        `AND`
      Generated:

    - #### getTimewindow

          org.eclipse.emf.ecore.EClass getTimewindow()

      Returns the meta object for class '`Timewindow`'.
      Returns:
        the meta object for class 'Timewindow'.
      See Also:
        `Timewindow`
      Generated:

    - #### getTimewindow_Time

          org.eclipse.emf.ecore.EAttribute getTimewindow_Time()

      Returns the meta object for the attribute '`Time`'.
      Returns:
        the meta object for the attribute 'Time'.
      See Also:
        `Timewindow.getTime()`, `getTimewindow()`
      Generated:

    - #### getAbstractMultiplicity

          org.eclipse.emf.ecore.EClass getAbstractMultiplicity()

      Returns the meta object for class '`Abstract Multiplicity`'.
      Returns:
        the meta object for class 'Abstract Multiplicity'.
      See Also:
        `AbstractMultiplicity`
      Generated:

    - #### getMultiplicity

          org.eclipse.emf.ecore.EClass getMultiplicity()

      Returns the meta object for class '`Multiplicity`'.
      Returns:
        the meta object for class 'Multiplicity'.
      See Also:
        `Multiplicity`
      Generated:

    - #### getMultiplicity_Value

          org.eclipse.emf.ecore.EAttribute getMultiplicity_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Multiplicity.getValue()`, `getMultiplicity()`
      Generated:

    - #### getInfinite

          org.eclipse.emf.ecore.EClass getInfinite()

      Returns the meta object for class '`Infinite`'.
      Returns:
        the meta object for class 'Infinite'.
      See Also:
        `Infinite`
      Generated:

    - #### getAtLeastOne

          org.eclipse.emf.ecore.EClass getAtLeastOne()

      Returns the meta object for class '`At Least One`'.
      Returns:
        the meta object for class 'At Least One'.
      See Also:
        `AtLeastOne`
      Generated:

    - #### getEventsFactory

          EventsFactory getEventsFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated: